Google wants app developers to target recent Android API level

Android Oreo logoGoogle has announced a number of changes that will be affecting the Android app developers in the coming year. In an effort to make sure all Android apps adapt to the latest security and performance standards, Google is going to make it mandatory for the app developers to target recent Android API level with their apps.

According to the company, the API level requirements will go into effect for the new apps in August 2018, and for updates to the existing apps in November 2018. So, the developers still have over six months to make the necessary changes to their applications.

Additionally, Google is also asking the developers to get ready with the 64-bit versions of their apps as well. Beginning August 2019, Google Play will require all new native apps and app updates to have 64-bit versions. Just having the 32-bit version will not be enough anymore.

Lastly, the company has revealed that starting early-2018, it will start adding a small amount of security metadata to all APKs in the Play Store to verify the app authenticity. This change won’t need anything from the developers, but will help Google is weeding out the fakes and make Play Protect service even better.

“We deeply appreciate our developer ecosystem, and so hope this long advance notice is helpful in planning your app releases. We will continue to provide reminders and share developer resources as key dates approach to help you prepare,” wrote Edward Cunningham, Product Manager, Android, in a blog post.

It is good to see Google taking necessary actions to make sure the applications available in the Play Store are updated to the latest standards. It might be of slight inconvenience to the small developers in the short term but will be better for the whole ecosystem.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.